import { EvaluationFlag } from '../evaluation/flag';
import { HttpClient } from '../transport/http';
export type GetFlagsOptions = {
    libraryName: string;
    libraryVersion: string;
    evaluationMode?: string;
    timeoutMillis?: number;
    user?: Record<string, unknown>;
    deliveryMethod?: string | undefined;
};
export interface FlagApi {
    getFlags(options?: GetFlagsOptions): Promise<Record<string, EvaluationFlag>>;
}
export declare class SdkFlagApi implements FlagApi {
    private readonly deploymentKey;
    private readonly serverUrl;
    private readonly httpClient;
    constructor(deploymentKey: string, serverUrl: string, httpClient: HttpClient);
    getFlags(options?: GetFlagsOptions): Promise<Record<string, EvaluationFlag>>;
}
